pip2tgz(8)

NAME
pip2tgz - make Slackware package from pip-installable package archive

SYNOPSIS
[OPTION...] pip2tgz [package_archive...|-h|--help]

DESCRIPTION
pip2tgz makes a Slackware-installable package from package_archive which must be a source archive (i.e. not a wheel). If no package_archive is specified, pip2tgz uses the most recently modified archive file or symlink in the current directory (tar, tar.gz, tar.bz2, tar.xz or zip). Package archives may be fetched from PyPI (the Python Package Index, analogous to perl's CPAN). PyPI is at https://pypi.python.org/pypi pip2tgz suppresses pip's normal dependency tracking to build an install of a single package. To check whether a package has any unsatisfied dependencies, first install the newly built package and then issue pipdeptree -p . This will show all unsatisfied dependencies. If there are none, it just outputs a blank line. New unsatisfied dependencies may appear as you install more packages. This works well if you download packages to the current working directory: simply re-run pip2tgz after fetching each package, install the new package, and re-run pipdeptree. Even better, if you direct the generated packages to be placed in the current working directory, you can install / upgrade them using bash's tab completion: export OUTPUT=$PWD to enable the above. PYTHON 2: If you have installed python2 you will have pip2 available. To build a python2 Slackware install, put PIP=pip2 at the front of the command line (see OPTIONS below).

OPTIONS
Options are <name=value> pairs placed before the pip2tgz command. For instance, to build the newest package_archive for Python2, issue PIP=pip2 pip2tgz For a full summary of options, run pip2tgz --help.

ENVIRONMENT VARIABLES
Environment variables can be used in place of options (see OPTIONS above). For example, to build a series of packages for Python2, issue export PIP=pip2 before building any of them.

AUTHOR
Written by Duncan Roe